Links (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.configuration, class: Links

Package org.apache.geode.management.configuration

# Class Links

java.lang.Object
org.apache.geode.management.configuration.Links

All Implemented Interfaces:
  `Serializable`

public class Links extends Object implements Serializable
this keeps all HATEOAS links related to a particular configuration object. only the map (links) is serialized back to the client, nothing get de-serialized.

Implementation Note: Serializable Interface

This class implements `Serializable` because it is used as a field in `ClusterManagementResult`, which must be serializable for DUnit distributed testing. When ClusterManagementResult objects are passed between JVMs in DUnit tests, all fields in the object graph must also be serializable.

Serialization Safety:

- All fields are inherently serializable: String primitives and HashMap (which is Serializable)
- The links field uses HashMap<String, String> which is fully serializable
- No transient fields or complex objects that could break serialization

This change enables ClusterManagementResult to be fully serializable for cross-JVM communication in DUnit tests without affecting production functionality.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HREF_PREFIX`
  `static final String`
  `URI_CONTEXT`
  `static final String`
  `URI_VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Links()`
  `Links(String id, String listUri)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLink(String key, String url)`
  adds the additional HATEOAS links
  `void`
  `anySetter(String key, String url)`
  `Map<String,String>`
  `getLinks()`
  `String`
  `getList()`
  `String`
  `getSelf()`
  `void`
  `setList(String list)`
  `void`
  `setSelf(String self)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HREF_PREFIX

    public static final String HREF_PREFIX
    See Also:
      - Constant Field Values

  - ### URI_CONTEXT

    public static final String URI_CONTEXT
    See Also:
      - Constant Field Values

  - ### URI_VERSION

    public static final String URI_VERSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Links

    public Links()

  - ### Links

    public Links(String id, String listUri)

- ## Method Details

  - ### getSelf

    public String getSelf()

  - ### setSelf

    public void setSelf(String self)

  - ### getList

    public String getList()

  - ### setList

    public void setList(String list)

  - ### addLink

    public void addLink(String key, String url)
    adds the additional HATEOAS links
    Parameters:
      `key` - the key at which to add the URL
      `url` - the URL to be added

  - ### anySetter

    public void anySetter(String key, String url)

  - ### getLinks

    public Map<String,String> getLinks()